/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.ArrayList;
import java.util.Observable;

/**
 * Clase Requisito, clase que crea un requisito
 * @author MW3 Software
 */
public abstract class Requisito extends Observable
{
    private String Nombre;
    private String Autores;
    private String Fuentes;
    private String Comentarios;
    private String importancia;
    private String urgencia;
    private String estadoDes;
    private String estabilidad;
    private ArrayList<String> destinoRastreable = new ArrayList();

    public ArrayList<String> getDestinoRastreable() {
        return destinoRastreable;
    }

    public void setDestinoRastreable(ArrayList<String> destinoRastreable) {
        this.destinoRastreable = destinoRastreable;
        this.setChanged();
        this.notifyObservers();
    }

    public String getNombre()
    {
        return Nombre;
    }
    public void setNombre(String Nombre)
    {
        this.Nombre = Nombre;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getAutores()
    {
        return Autores;
    }
    public void setAutores(String Autores)
    {
        this.Autores = Autores;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getFuentes()
    {
        return Fuentes;
    }
    public void setFuentes(String Fuentes)
    {
        this.Fuentes = Fuentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getComentarios()
    {
        return Comentarios;
    }
    public void setComentarios(String Comentarios)
    {
        this.Comentarios = Comentarios;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getImportancia()
    {
        return importancia;
    }
    public void setImportancia(String importancia)
    {
        this.importancia = importancia;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getUrgencia()
    {
        return urgencia;
    }
    public void setUrgencia(String urgencia)
    {
        this.urgencia = urgencia;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getEstadoDes()
    {
        return estadoDes;
    }
    public void setEstadoDes(String estadoDes)
    {
        this.estadoDes = estadoDes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
    public String getEstabilidad()
    {
        return estabilidad;
    }
    public void setEstabilidad(String estabilidad)
    {
        this.estabilidad = estabilidad;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }
}

/*
    private String Nombre;
    private String Autores;
    private String Fuentes;
    private String Comentarios;
    private String importancia;
    private String urgencia;
    private String estadoDes;
    private String estabilidad;
 */